## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLNamespaceDeclarationItem

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

All Known Subinterfaces:
  XMLNamespaceDeclarationDefault, XMLNamespaceDeclarationPrefix

    public interface XMLNamespaceDeclarationItem

extends SQLQueryObject

A representation of the model object 'XML Namespace Declaration Item'.

The following features are supported:

- `Uri`
- `Namespaces Decl`

See Also:
  `SQLXMLQueryModelPackage.getXMLNamespaceDeclarationItem()`

Method Summary
`XMLNamespacesDeclaration` `getNamespacesDecl()` Returns the value of the 'Namespaces Decl' container reference.
`java.lang.String` `getUri()` Returns the value of the 'Uri' attribute.
`void` `setNamespacesDecl(XMLNamespacesDeclaration value)` Sets the value of the '`Namespaces Decl`' container reference.
`void` `setUri(java.lang.String value)` Sets the value of the '`Uri`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getUri

    java.lang.String getUri()

  Returns the value of the 'Uri' attribute.

  If the meaning of the 'Uri' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Uri' attribute.
  See Also:
    `setUri(String)`, `SQLXMLQueryModelPackage.getXMLNamespaceDeclarationItem_Uri()`

### setUri

    void setUri(java.lang.String value)

  Sets the value of the '`Uri`' attribute.

  Parameters:
    `value` - the new value of the 'Uri' attribute.
  See Also:
    `getUri()`

### getNamespacesDecl

    XMLNamespacesDeclaration getNamespacesDecl()

  Returns the value of the 'Namespaces Decl' container reference. It is bidirectional and its opposite is '`Namespace Decltem List`'.

  If the meaning of the 'Namespaces Decl' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Namespaces Decl' container reference.
  See Also:
    `setNamespacesDecl(XMLNamespacesDeclaration)`, `SQLXMLQueryModelPackage.getXMLNamespaceDeclarationItem_NamespacesDecl()`, `XMLNamespacesDeclaration.getNamespaceDecltemList()`

### setNamespacesDecl

    void setNamespacesDecl(XMLNamespacesDeclaration value)

  Sets the value of the '`Namespaces Decl`' container reference.

  Parameters:
    `value` - the new value of the 'Namespaces Decl' container reference.
  See Also:
    `getNamespacesDecl()`